| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Data Fields
WriterContext Struct Reference

## Data Fields
const AVClass * | class
| class of the writer
const Writer * | writer
| the Writer of which this is an instance
AVIOContext * | avio
| the I/O context used to write
void(* | writer_w8 )(WriterContext *wctx, int b)
void(* | writer_put_str )(WriterContext *wctx, const char *str)
void(* | writer_printf )(WriterContext *wctx, const char *fmt,...)
char * | name
| name of this writer instance
void * | priv
| private data for use by the filter
const struct section * | sections
| array containing all sections
int | nb_sections
| number of sections
int | level
| current level, starting from 0
unsigned int | nb_item [SECTION_MAX_NB_LEVELS]
const struct section * | section [SECTION_MAX_NB_LEVELS]
AVBPrint | section_pbuf [SECTION_MAX_NB_LEVELS]
unsigned int | nb_section_packet
| number of the packet section in case we are in "packets_and_frames" section
unsigned int | nb_section_frame
| number of the frame section in case we are in "packets_and_frames" section
unsigned int | nb_section_packet_frame
| nb_section_packet or nb_section_frame according if is_packets_and_frames
int | string_validation
char * | string_validation_replacement
unsigned int | string_validation_utf8_flags

## Detailed Description

Definition at line 506 of file fftools_ffprobe.c.

## Field Documentation

## ◆ avio

AVIOContext* WriterContext::avio

the I/O context used to write

Definition at line 509 of file fftools_ffprobe.c.

## ◆ class

const AVClass* WriterContext::class

class of the writer

Definition at line 507 of file fftools_ffprobe.c.

## ◆ level

int WriterContext::level

current level, starting from 0

Definition at line 521 of file fftools_ffprobe.c.

## ◆ name

char* WriterContext::name

name of this writer instance

Definition at line 515 of file fftools_ffprobe.c.

## ◆ nb_item

unsigned int WriterContext::nb_item[SECTION_MAX_NB_LEVELS]

number of the item printed in the given section, starting from 0

Definition at line 524 of file fftools_ffprobe.c.

## ◆ nb_section_frame

unsigned int WriterContext::nb_section_frame

number of the frame section in case we are in "packets_and_frames" section

Definition at line 532 of file fftools_ffprobe.c.

## ◆ nb_section_packet

unsigned int WriterContext::nb_section_packet

number of the packet section in case we are in "packets_and_frames" section

Definition at line 531 of file fftools_ffprobe.c.

## ◆ nb_section_packet_frame

unsigned int WriterContext::nb_section_packet_frame

nb_section_packet or nb_section_frame according if is_packets_and_frames

Definition at line 533 of file fftools_ffprobe.c.

## ◆ nb_sections

int WriterContext::nb_sections

number of sections

Definition at line 519 of file fftools_ffprobe.c.

## ◆ priv

void* WriterContext::priv

private data for use by the filter

Definition at line 516 of file fftools_ffprobe.c.

## ◆ section

const struct section* WriterContext::section[SECTION_MAX_NB_LEVELS]

section per each level

Definition at line 527 of file fftools_ffprobe.c.

## ◆ section_pbuf

AVBPrint WriterContext::section_pbuf[SECTION_MAX_NB_LEVELS]

generic print buffer dedicated to each section, used by various writers

Definition at line 528 of file fftools_ffprobe.c.

## ◆ sections

const struct section* WriterContext::sections

array containing all sections

Definition at line 518 of file fftools_ffprobe.c.

## ◆ string_validation

int WriterContext::string_validation

Definition at line 535 of file fftools_ffprobe.c.

## ◆ string_validation_replacement

char* WriterContext::string_validation_replacement

Definition at line 536 of file fftools_ffprobe.c.

## ◆ string_validation_utf8_flags

unsigned int WriterContext::string_validation_utf8_flags

Definition at line 537 of file fftools_ffprobe.c.

## ◆ writer

const Writer* WriterContext::writer

the Writer of which this is an instance

Definition at line 508 of file fftools_ffprobe.c.

## ◆ writer_printf

void(* WriterContext::writer_printf) (WriterContext *wctx, const char *fmt,...)

Definition at line 513 of file fftools_ffprobe.c.

## ◆ writer_put_str

void(* WriterContext::writer_put_str) (WriterContext *wctx, const char *str)

Definition at line 512 of file fftools_ffprobe.c.

## ◆ writer_w8

void(* WriterContext::writer_w8) (WriterContext *wctx, int b)

Definition at line 511 of file fftools_ffprobe.c.

The documentation for this struct was generated from the following file:

- fftools_ffprobe.c